<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
  <table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td height="8" style="background-color:#D3D3D3 "></td>
    </tr>
    <tr>
      <td height="2"></td>
    </tr>
    <tr>
      <td height="93" align="center" valign="top" style="background-image:url(../images/BG100.jpg) "><table width="744"  border="0" cellspacing="0" cellpadding="0">
        <tr align="left" valign="top">
          <td width="333"><a href="#"><img src="../images/Logo.jpg" width="226" height="41" border="0" style="margin-top:22px; margin-left:1px "></a></td>
          <td width="142"><table width="100%"  border="0" cellspacing="0" cellpadding="0" style="margin-top:13px ">
            <tr>
              <td><img src="../images/Marker500.jpg" style="margin-right:5px "><span class="header"><?php echo BOX_HEADING_CURRENCIES ?></span></td>
            </tr>
            <tr>
              <td height="25"><?php include(DIR_WS_BOXES . 'currencies.php'); ?></td>
            </tr>
            <tr>
              <td><?php include(DIR_WS_BOXES . 'languages.php'); ?></td>
            </tr>
          </table></td>
          <td width="46">&nbsp;</td>
          <td width="223"><table width="100%"  border="0" cellspacing="0" cellpadding="0" style="margin-top:13px ">
            <tr>
              <td height="17" align="left" valign="top"><span class="header"><?php echo '<a href="#" class="header">' . SSCCC1 . '</a>'; ?> | <?php echo '<a href="#" class="header">' . SSCCC2 . '</a>'; ?> | <?php echo '<a href="#" class="header">' . SSCCC3 . '</a>'; ?></span></td>
            </tr>
            <tr>
              <td height="42" align="center" valign="middle" style="background-image:url(../images/BG200.jpg) "><table width="100%"  border="0" cellspacing="0" cellpadding="0">
                <tr valign="middle">
                  <td align="right"><span class="Items"><?php echo BOX_HEADING_SHOPPING_CART ?>&nbsp;</span></td>
                  <td align="left"><span class="Items">
                    <?php include(DIR_WS_BOXES . 'shopping_cart.php'); ?></span></td>
                </tr>
              </table></td>
            </tr>
          </table></td>
        </tr>
      </table></td>
    </tr>
    <tr>
      <td height="41" align="center" valign="middle" style="background-image:url(../images/BG300.jpg) "><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('Home.jpg') . '</a>'; ?><?php echo '<a href="' . tep_href_link(FILENAME_SHOPPING_CART) . '">' . tep_image_button('ShoppingCart.jpg') . '</a>'; ?><?php echo '<a href="' . tep_href_link(FILENAME_ACCOUNT) . '">' . tep_image_button('myAcccount.jpg') . '</a>'; ?><?php echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_PROCESS) . '">' . tep_image_button('CheckOut.jpg') . '</a>'; ?><?php echo '<a href="' . tep_href_link(FILENAME_CONTACT_US) . '">' . tep_image_button('ContactUs.jpg') . '</a>'; ?></td>
    </tr>
  </table>
</center>